diff --git a/doc/src/sgml/ecpg.sgml b/doc/src/sgml/ecpg.sgml
index b8021cb..fed5371 100644
--- a/doc/src/sgml/ecpg.sgml
+++ b/doc/src/sgml/ecpg.sgml
@@ -507,6 +507,25 @@ EXEC SQL COMMIT;
       </listitem>
      </varlistentry>
 
+    <variablelist>
+     <varlistentry>
+      <term><literal>EXEC SQL COMMIT PREPARED </literal><replaceable class="PARAMETER">transaction_id</></term>
+      <listitem>
+       <para>
+        Commit a transaction that is in prepared state.
+       </para>
+      </listitem>
+     </varlistentry>
+
+     <varlistentry>
+      <term><literal>EXEC SQL ROLLBACK PREPARED </literal><replaceable class="PARAMETER">transaction_id</></term>
+      <listitem>
+       <para>
+        Roll back a transaction that is in prepared state.
+       </para>
+      </listitem>
+     </varlistentry>
+     
      <varlistentry>
       <term><literal>EXEC SQL SET AUTOCOMMIT TO ON</literal></term>
       <listitem>
